<template>
    <div class="alias-add-tree-node d-flex flex-row justify-content-start">
        <div class="ms-1 flex-grow-1">
            <label for="aliasNameInput" class="col-form-label">Псевдоним</label>
            <textarea class="form-control form-control-sm" id="aliasNameInput" rows="1"
                v-model="newAlias.name"/>
        </div>
        <div class="ms-1">
            <label for="add_alias_codes_dropdown" class="col-form-label">Код (опционально)</label>
            <BudgetCodesDropdown
                :id="'add_alias_codes_dropdown'"
                :codesList="codesList"
                v-model:selectedCodeId="newAlias.codeId"/>
        </div>
        <div class="button-block align-self-end">
            <button type="button" class="btn btn-block btn-sm btn-outline-secondary zero-height-button d-block mt-auto ms-auto"
                @click="this.$emit('aliasAddClicked')">
                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-plus-square" viewBox="0 0 16 16">
                    <path fill-rule="evenodd" d="M14 1H2a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1zM2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z"/>
                    <path fill-rule="evenodd" d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z"/>
                </svg>
                <span class="ms-2">Добавить</span>
            </button>
        </div>
    </div>
</template>

<script>
    import BudgetCodesDropdown from '../Codes/BudgetCodesDropdown'

    export default {
        name: 'BudgetAliasAdd',
        components: {
            BudgetCodesDropdown
        },
        props: {
            codesList: Array,
            newAlias: Object
        },
        emits: [
            'aliasAddClicked'
        ]
    };
</script>